package kz.arta.synergy.workflow.mobile.android.forms.general.components.users.model;

import java.io.Serializable;

/**
 * Created by neox on 18.03.16.
 * Подразделения
 */
public class DepartmentModel implements Serializable {

    /**
     * Идентификатор департамента
     */
    private String departmentId;

    /**
     * Имя департамента
     */
    private String departmentName;

    /**
     * Имя ближайшего родителя
     */
    private String parentName;

    /**
     * Имеются ли дочерние
     */
    private boolean hasChildren;

    private String tagName;
    private boolean department;
    private boolean isExpanded;
    private int elementType;

    /**
     * Выделен ли текущий элемент в списке
     */
    private boolean checked;

    public String getDepartmentID() {
        return departmentId;
    }

    public void setDepartmentID(String departmentID) {
        this.departmentId = departmentID;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public boolean isHasChildren() {
        return hasChildren;
    }

    public void setHasChildren(boolean hasChildren) {
        this.hasChildren = hasChildren;
    }

    public boolean isChecked() {
        return checked;
    }

    public void setChecked(boolean checked) {
        this.checked = checked;
    }

    public String getParentName() {
        return parentName;
    }
}
